<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if($data->gevangenis + $data->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<form method="post">

<?php

	if(isset($_GET['id']) || isset($_POST['id'])){

		if(isset($_GET['id'])){

		$dbres	=	mysql_query("SELECT *,DATE_FORMAT(`opbrengst_meter`,'%d-%m-%Y %H:%i') AS `opbrengst_meter`,UNIX_TIMESTAMP(`productie_tijd`) AS `productie_tijd`,0 FROM `clipsfabriek` WHERE `id`='{$_GET['id']}' AND `owner`='{$data->login}'");

		} else if(isset($_POST['id'])){

		$dbres	=	mysql_query("SELECT *,DATE_FORMAT(`opbrengst_meter`,'%d-%m-%Y %H:%i') AS `opbrengst_meter`,UNIX_TIMESTAMP(`productie_tijd`) AS `productie_tijd`,0 FROM `clipsfabriek` WHERE `id`='{$_POST['id']}' AND `owner`='{$data->login}'");

		}

	$kogelfabriek	=	mysql_fetch_object($dbres);

		if(isset($_POST['submit1'])){

?>

<table width="700" border="0" align="center">
	<tr>
		<td class="subtitle">
		Ultimatecrime - Ammo Depot beheer
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<img src="images/bunker.jpg" alt="Mooi heh...">
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">

<?php

		mysql_query("UPDATE `clipsfabriek` SET `opbrengst_meter`=NOW(),`opbrengst`='0' WHERE `id`='{$kogelfabriek->id}'");
		echo "Je timer van je opbrengst is gereset.<meta http-equiv=\"refresh\" content=\"3\">";

?>

		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<b>Klik <a href="kopen.php">hier</a> om te kijken of er in dit land nog objecten te koop zijn.</b>
		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>

<?php

		} else if(isset($_POST['submit2'])){

?>

<table width="700" border="0" align="center">
	<tr>
		<td class="subtitle">
		Ultimatecrime - Ammo Depot beheer
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<img src="images/bunker.jpg" alt="Mooi heh...">
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">

<?php

			if($kogelfabriek->productie_tijd + 3600 > time()){

			$totaal		=	$kogelfabriek->productie_tijd-time();  
			$tijd		=	date("i:s", "$totaal");
			echo "Je kan nog niet produceren, je moet nog $tijd wachten voordat de fabriek weer gereed is.<meta http-equiv=\"refresh\" content=\"3\">";

			} else {

			$kogels		=	$kogelfabriek->lood*5;
			mysql_query("UPDATE `clipsfabriek` SET `kogels`=`kogels`+'$kogels',`lood`='0',`productie_tijd`=NOW() WHERE `id`='{$kogelfabriek->id}'");
			echo "Je hebt met succes $kogels kogels geproduceert voor {$kogelfabriek->lood}.<meta http-equiv=\"refresh\" content=\"3\">";

			}

?>

		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<b>Klik <a href="kopen.php">hier</a> om te kijken of er in dit land nog objecten te koop zijn.</b>
		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>

<?php

		} else if(isset($_POST['submit3'])){

?>

<table width="700" border="0" align="center">
	<tr>
		<td class="subtitle">
		Ultimatecrime - Ammo Depot beheer
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<img src="images/bunker.jpg" alt="Mooi heh...">
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">

<?php

		$bedraglood1	=	$_POST['lood']*$kogelfabriek->loodprijs;
		$bedraglood2	=	geld($bedraglood1);

			if($_POST['lood'] == ""){

			echo "Vul wel een getal in voor de hoeveelheid lood die je wilt kopen.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($_POST['lood'] < 1){

			echo "Vul wel een getal in boven de nul voor de hoeveelheid lood die je wilt kopen.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if(! is_numeric($_POST['lood'])){

			echo "Vul bij de hoeveelheid lood die je wilt kopen alleen maar getallen in.";

			} else if($_POST['lood'] + $kogelfabriek->lood > 60){

			echo "Je kan niet meer als 60 lood units kopen.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($bedraglood1 > $data->cash){

			echo "Je hebt niet genoeg geld om {$_POST['lood']} te kopen, je hebt een minium bedrag van $bedraglood2 nodig.<meta http-equiv=\"refresh\" content=\"3\">";

			} else {

			mysql_query("UPDATE `clipsfabriek` SET `lood`=`lood`+'{$_POST['lood']}' WHERE `id`='{$kogelfabriek->id}'");
			mysql_query("UPDATE `gebruiker` SET `cash`=`cash`-'$bedraglood1' WHERE `login`='{$data->login}'");
			echo "Je hebt succesvol {$_POST['lood']} units lood gekocht voor €$bedraglood2.<meta http-equiv=\"refresh\" content=\"3\">";

			}

?>

		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<b>Klik <a href="kopen.php">hier</a> om te kijken of er in dit land nog objecten te koop zijn.</b>
		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>

<?php

		} else if(isset($_POST['submit4'])){

?>

<table width="700" border="0" align="center">
	<tr>
		<td class="subtitle">
		Ultimatecrime - Ammo Depot beheer
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<img src="images/bunker.jpg" alt="Mooi heh...">
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">

<?php

		$prijs	=	$_POST['kogel'];

			if($prijs == ""){

			echo "Vul wel een getal in voor de prijs per kogels.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($prijs < 1 || $prijs > 10000){

			echo "De prijs moet tussen de 1 en 10.000 euro liggen.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if(! is_numeric($prijs)){

			echo "Vul bij de prijs van de kogels alleen maar getallen in.<meta http-equiv=\"refresh\" content=\"3\">";

			} else {

			mysql_query("UPDATE `clipsfabriek` SET `prijs`='$prijs' WHERE `id`='{$kogelfabriek->id}'");
			echo "Je hebt succesvol de kogelprijs aangepast.<meta http-equiv=\"refresh\" content=\"3\">";

			}


?>

		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<b>Klik <a href="kopen.php">hier</a> om te kijken of er in dit land nog objecten te koop zijn.</b>
		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>

<?php

		} else {
	
		$metergeld	=	geld($kogelfabriek->opbrengst);
		$kogels		=	geld($kogelfabriek->kogels);
		$kogelprijs	=	geld($kogelfabriek->prijs);
		$loodprijs	=	geld($kogelfabriek->loodprijs);

			if($kogelfabriek->productie_tijd + 3600 > time()){ 

			$totaal		=	$kogelfabriek->productie_tijd-time();  
			$minuut		=	date("i", "$totaal") . "M";  
			$seconde	=	date("s", "$totaal") . "S"; 

			} else {

			$minuut		=	"<b>Geen</b>";

			}

			if($kogelfabriek->verkoop != 1){
			$status	=	"Normaal";
			} else {
			$status	=	"Ter verkoop";
			}
?>

<table width="700" border="0" align="center">
	<tr>
		<td class="subtitle" colspan="4">
		Ultimatecrime - Ammo Depot beheer
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center" colspan="4">
		<img src="images/bunker.jpg" alt="Mooi heh...">
		</td>
	</tr>
	<tr valign="top"> 
		<td width="32%" class="maintxt">Ammo Depot id:</td>
		<td width="18%" class="maintxt" align="center"><?php echo $kogelfabriek->id; ?></td>
		<td width="32%" class="maintxt">Start van inkomsten meter:</td>
		<td width="18%" class="maintxt" align="center"><?php echo $kogelfabriek->opbrengst_meter; ?></td>
	</tr>
	<tr valign="top"> 
		<td class="maintxt">Beheerder:</td>
		<td class="maintxt" align="center"><a href="speler-profiel.php?x=<?php echo $kogelfabriek->owner; ?>" target="content"><?php echo $kogelfabriek->owner; ?></a></td>
		<td class="maintxt">Inkomsten gedraait:</td>
		<td class="maintxt" align="center">€<?php echo $metergeld; ?></td>
	</tr>
	<tr valign="top"> 
		<td class="maintxt">Status:</td>
		<td class="maintxt" align="center"><?php echo $status; ?></td>
		<td class="maintxt">Reset inkomsten meter:</td>
		<td class="maintxt" align="center"><input name="submit1" type="submit" style="width:120" value="Reset" /><input name="id" type="hidden" value="<?php echo $_GET['id']; echo $_POST['id']; ?>" /></td>
	</tr>
	<tr valign="top">
		<td class="maintxt">Kogels:<br /></td>
		<td class="maintxt" align="center"><?php echo $kogels; ?></td>
		<td class="maintxt">Kogelprijs:</td>
		<td class="maintxt" align="center">€<?php echo $kogelprijs; ?></td>
	</tr>
	<tr valign="top">
		<td class="maintxt">Lood:</td>
		<td class="maintxt" align="center"><?php echo $kogelfabriek->lood; ?>/60</td>
		<td class="maintxt">Productietijd:</td>
		<td class="maintxt" align="center"><?php echo $minuut; ?> <?php echo $seconde; ?></td>
	</tr>
	<tr valign="top"> 
		<td class="maintxt">Loodprijs:</td>
		<td class="maintxt" align="center">€<?php echo $loodprijs; ?></td>
		<td class="maintxt">Produceren:</td>
		<td class="maintxt" align="center"><input name="submit2" type="submit" style="width:120" value="Produceer" /><input name="id" type="hidden" value="<?php echo $_GET['id']; echo $_POST['id']; ?>" /></td>
	</tr>
	<tr> 
		<td class="maintxt">Koop lood in:</td>
		<td class="maintxt" align="center"><input name="lood" maxlenght="2" type="text" style="width:120" /></td>
		<td class="maintxt">Kogelprijs:</td>
		<td class="maintxt" align="center"><input name="kogel" maxlenght="5" value="<?php echo $kogelfabriek->prijs; ?>" type="text" style="width:120" /></td>
	</tr>
	<tr> 
		<td class="maintxt">&nbsp;</td>
		<td class="maintxt" align="center"><input name="submit3" type="submit" style="width:120" value="Koop" /></td>
		<td class="maintxt">&nbsp;</td>
		<td class="maintxt" align="center"><input name="submit4" type="submit" style="width:120" value="Submit" /></td>
	</tr>
	<tr>
		<td class="maintxt" align="center" colspan="4">
		<b>Klik <a href="kopen.php">hier</a> om te kijken of er in dit land nog objecten te koop zijn.</b>
		</td>
	</tr>
	<tr>
		<td class="subtitle" colspan="4">&nbsp;</td>
	</tr>
</table>
<input name="id" type="hidden" id="id" value="<?php echo $_GET['id']; echo $_POST['id']; ?>" />

<?php

		}
	} else {

?>

<table width="700" border="0" align="center">
	<tr>
		<td class="subtitle">
		Ultimatecrime - Ammo Depot beheer
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<img src="images/bunker.jpg" alt="Mooi heh...">
		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">

<?php

	$nummer		=	0;
	$dbres		=	mysql_query("SELECT * FROM `clipsfabriek` WHERE `owner`='{$data->login}'");
	$aantal		=	mysql_num_rows($dbres);

		if($aantal != 0){
		echo "<table width=\"61%\" valign=\"top\" cellpadding=\"0\" cellspacing=\"0\"><tr><td width=\"100%\" align=\"left\">";

			while($casino = mysql_fetch_object($dbres)){
			$nummer	=	$nummer+1;
			echo "$nummer. <a href=\"beheer-kogelfabriek.php?id={$casino->id}\"><u>Ammo Depot in {$casino->land}</u></a><br>";
			}

		echo "</td></tr></table>";
		}

		if($nummer == 0){
		echo "<i>Je hebt op het moment nog geen ammo Depot om te beheren.</i>";
		}

?>

		</td>
	</tr>
	<tr>
		<td class="maintxt" align="center">
		<b>Klik <a href="kopen.php">hier</a> om te kijken of er in dit land nog objecten te koop zijn.</b>
		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>

<?php

	}

?>


</form>
</body>
</html>